Page MenuHomePhabricator

On FreeBSD MIPS claim and pass down the -G# argument if present when linking.
AbandonedPublic

Authored by atanasyan on Jan 21 2015, 11:37 AM.

Details

Reviewers
brooks

Diff Detail

Event Timeline

brooks updated this revision to Diff 18544.Jan 21 2015, 11:37 AM
brooks retitled this revision from to On FreeBSD MIPS claim and pass down the -G# argument if present when linking..
brooks updated this object.
brooks edited the test plan for this revision. (Show Details)
brooks added a reviewer: dsanders.
brooks added a subscriber: theraven.
brooks updated this revision to Diff 18546.Jan 21 2015, 11:58 AM

Add a test for not passing -G0 when it isn't an argument.

Suggested by: @emaste

Add cfe-commits per message

dsanders accepted this revision.Jan 22 2015, 3:20 AM
dsanders edited edge metadata.

LGTM with a whitespace nit.

lib/Driver/Tools.cpp
6651–6653

Indentation.

This revision is now accepted and ready to land.Jan 22 2015, 3:20 AM

Looks like patch was not committed.

dsanders resigned from this revision.Jul 18 2019, 7:03 PM
This revision now requires review to proceed.Jul 18 2019, 7:03 PM

@brooks, @arichardson do we still want to pursue this?

@brooks, @arichardson do we still want to pursue this?

I think so. It's in our default CFLAGS from bsd.cpu.mk so handling needs to be correct.

atanasyan edited reviewers, added: atanasyan; removed: dsanders.Jul 22 2019, 2:27 PM

OK, I will try to check if it still applies cleanly and commit soon

atanasyan commandeered this revision.Jul 24 2019, 2:49 AM
atanasyan abandoned this revision.
atanasyan edited reviewers, added: brooks; removed: atanasyan.

Fixed at D9114.